Bug 968909 - [abrt] gnome-terminal-3.8.2-1.fc19: _gdk_x11_display_error_event: Process /usr/libexec/gnome-terminal-server was killed by signal 5 (SIGTRAP)
[abrt] gnome-terminal-3.8.2-1.fc19: _gdk_x11_display_error_event: Process /us...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:d46d49091c4c0512d7481b1c8f9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 05:16 EDT by Vojtěch Boček
Modified: 2015-02-17 10:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:23:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.90 KB, text/plain)
2013-05-30 05:16 EDT, Vojtěch Boček
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-30 05:16 EDT, Vojtěch Boček
no flags Details
File: core_backtrace (6.50 KB, text/plain)
2013-05-30 05:16 EDT, Vojtěch Boček
no flags Details
File: dso_list (9.08 KB, text/plain)
2013-05-30 05:16 EDT, Vojtěch Boček
no flags Details
File: environ (761 bytes, text/plain)
2013-05-30 05:16 EDT, Vojtěch Boček
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-30 05:16 EDT, Vojtěch Boček
no flags Details
File: maps (44.06 KB, text/plain)
2013-05-30 05:16 EDT, Vojtěch Boček
no flags Details
File: open_fds (1.07 KB, text/plain)
2013-05-30 05:16 EDT, Vojtěch Boček
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-05-30 05:16 EDT, Vojtěch Boček
no flags Details

  None (edit)
Description Vojtěch Boček 2013-05-30 05:16:15 EDT
Description of problem:
I ran "Xspice --disable-ticketing --xsession /usr/bin/gnome-terminal :1 --port 5900 &" and gnome-terminal in this Xspice crashed.

Version-Release number of selected component:
gnome-terminal-3.8.2-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: _gdk_x11_display_error_event
executable:     /usr/libexec/gnome-terminal-server
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            1001
var_log_messages: May 30 11:06:22 dhcp-29-206 abrt[6647]: Saved core dump of pid 6640 (/usr/libexec/gnome-terminal-server) to /var/tmp/abrt/ccpp-2013-05-30-11:06:20-6640 (28704768 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _gdk_x11_display_error_event at gdkdisplay-x11.c:2556
 #5 handle_error at xcb_io.c:213
 #6 handle_response at xcb_io.c:325
 #8 XInternAtoms at IntAtom.c:283
 #9 _gdk_x11_precache_atoms at gdkproperty-x11.c:279
 #10 base_precache_atoms at gdkdnd-x11.c:2809
 #11 _gdk_x11_window_register_dnd at gdkdnd-x11.c:3792
 #16 gtk_widget_realize at gtkwidget.c:4816
 #17 gtk_widget_map at gtkwidget.c:4351
 #18 gtk_box_forall at gtkbox.c:1875
Comment 1 Vojtěch Boček 2013-05-30 05:16:20 EDT
Created attachment 754728 [details]
File: backtrace
Comment 2 Vojtěch Boček 2013-05-30 05:16:23 EDT
Created attachment 754729 [details]
File: cgroup
Comment 3 Vojtěch Boček 2013-05-30 05:16:26 EDT
Created attachment 754730 [details]
File: core_backtrace
Comment 4 Vojtěch Boček 2013-05-30 05:16:29 EDT
Created attachment 754731 [details]
File: dso_list
Comment 5 Vojtěch Boček 2013-05-30 05:16:32 EDT
Created attachment 754732 [details]
File: environ
Comment 6 Vojtěch Boček 2013-05-30 05:16:36 EDT
Created attachment 754733 [details]
File: limits
Comment 7 Vojtěch Boček 2013-05-30 05:16:39 EDT
Created attachment 754734 [details]
File: maps
Comment 8 Vojtěch Boček 2013-05-30 05:16:42 EDT
Created attachment 754735 [details]
File: open_fds
Comment 9 Vojtěch Boček 2013-05-30 05:16:45 EDT
Created attachment 754736 [details]
File: proc_pid_status
Comment 10 Christian Persch (GNOME) 2013-05-31 07:44:59 EDT
See https://live.gnome.org/Terminal/Debugging#Debugging_an_X_error on how to get a better backtrace.
Comment 11 Fedora End Of Life 2015-01-09 13:15:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 10:23:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.